LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::rendering::PathJoinType Constant Group Reference

Determines which shape to use when joining path segments. More...

## Variables
const byte | NONE =0
| Do not join the path segments at all. More...
const byte | MITER =1
| Join the path segment by extending the outer border until they intersect. More...
const byte | ROUND =2
| Join the path segment with a pie-like patch, such that the outer line of the meeting point is round. More...
const byte | BEVEL =3
| Join the path segment by connecting the outer ends of the abutting segments with a straight line. More...

## Detailed Description

Determines which shape to use when joining path segments.

The joins between different paths segments can be formed out of several different shapes (which are of course only visible for strokes wider than one device pixel).

Since
  OOo 2.0

## Variable Documentation

## ◆ BEVEL

const byte BEVEL =3

Join the path segment by connecting the outer ends of the abutting segments with a straight line.

## ◆ MITER

const byte MITER =1

Join the path segment by extending the outer border until they intersect.

## ◆ NONE

const byte NONE =0

Do not join the path segments at all.

This join type might lead, depending on the angle between the segments, to visible cracks at the meeting points.

## ◆ ROUND

const byte ROUND =2

Join the path segment with a pie-like patch, such that the outer line of the meeting point is round.